import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';
 
const csvUrl = 'https://gist.githubusercontent.com/beauMarko/f7513da95727642a60000c9292d33f96/raw/cssNamedColors';

const App = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
  	csv(csvUrl).then(setData);
  }, []); 
	 
  
  return <pre>{data ? message(data) : 'Loading...'}</pre>
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);